=== debian/changelog ===
obs-scene-as-transition (1.1.0+20230419.ce423a3-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 24 Jul 2023 12:55:34 -0300

obs-scene-as-transition (1.1.0+20230419.ce423a3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 12 Jun 2023 17:19:33 -0300

obs-scene-as-transition (1.1.0+20230419.ce423a3-1) experimental; urgency=medium

  * Initial release. (Closes: #1034531)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 19 Apr 2023 11:08:23 -0300
