=== debian/control ===
Source: obs-scene-as-transition
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29)
Standards-Version: 4.6.2
Homepage: https://obsproject.com/forum/resources/scene-as-transition.1704
Vcs-Browser: https://salsa.debian.org/debian/obs-scene-as-transition
Vcs-Git: https://salsa.debian.org/debian/obs-scene-as-transition.git

Package: obs-scene-as-transition
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
Suggests: obs-move-transition
Enhances: obs-studio
Breaks: obs-text-slideshow (<= 1.5.2-3)
Description: plugin for OBS Studio to use a Scene as a Transition
 This plugin can be used to create all kinds of transitions. It is recommended
 to get the most out of this plugin that you use other powerful plugins such
 as obs-move-transition to create advanced movements.
 .
 Is possible to make the transitions dynamic by passing information from other
 ways. An example would be putting a text source on the transition scene and
 having it updated with the name of the scene or game you are transitioning to.
 .
 Some features:
 .
   - Choose a scene to use as a transition.
   - Set the total transition duration.
   - Set a what point the scene changes (Time or Percentage).
   - Choose a filter to trigger on the transition scene when the transition
     starts.
