## obs-scene-as-transition 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,15 @@
-# --- Detect if the plugin is build out of tree or not ---
+# --- Detect if the plugin is built out of tree or not ---
 if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
   set(BUILD_OUT_OF_TREE OFF)
+  if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
+  	legacy_check()
+  endif()
 else()
   set(BUILD_OUT_OF_TREE ON)
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(scene-as-transition VERSION 1.1.0)
+project(scene-as-transition VERSION 1.1.1)
 set(PROJECT_FULL_NAME "Scene As Transition")
 
 # Set new UUIDs when you start to create a new plugin.
@@ -19,7 +22,6 @@
 
 target_sources(${PROJECT_NAME} PRIVATE
 	scene-as-transition.c
-	scene-as-transition.h
 	version.h)
 
 if(BUILD_OUT_OF_TREE)
@@ -52,19 +54,27 @@
 target_link_libraries(${PROJECT_NAME}
 	OBS::libobs)
 
+
 if(BUILD_OUT_OF_TREE)
-    if(NOT LIB_OUT_DIR)
-        set(LIB_OUT_DIR "/lib/obs-plugins")
-    endif()
-    if(NOT DATA_OUT_DIR)
-        set(DATA_OUT_DIR "/share/obs/obs-plugins/${PROJECT_NAME}")
-    endif()
-    set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
-    install(TARGETS ${PROJECT_NAME}
-        LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
-    install(DIRECTORY data/locale
-        DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
+	if(NOT LIB_OUT_DIR)
+		set(LIB_OUT_DIR "/lib/obs-plugins")
+	endif()
+	if(NOT DATA_OUT_DIR)
+		set(DATA_OUT_DIR "/share/obs/obs-plugins/${PROJECT_NAME}")
+	endif()
+	set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
+	install(TARGETS ${PROJECT_NAME}
+		LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
+	install(DIRECTORY data/locale
+		DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
+	setup_plugin_target(${PROJECT_NAME})
 else()
-    set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/andilippi")
+	target_include_directories(${PROJECT_NAME} PRIVATE
+		"${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
+	if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
+		set_target_properties_obs(${PROJECT_NAME} PROPERTIES FOLDER "plugins/andilippi" PREFIX "")
+	else()
+		set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/andilippi")
+		setup_plugin_target(${PROJECT_NAME})
+	endif()
 endif()
-setup_plugin_target(${PROJECT_NAME})
