=== debian/changelog ===
obs-scene-as-transition (1.1.1-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.7.2.
  * debian/copyright: updated packaging copyright years.
  * debian/docs: created to install README.md.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 05 Apr 2025 13:21:04 -0300

obs-scene-as-transition (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1.
  * debian/copyright: updated packaging and upstream copyright years.
  * debian/patches/010_fix-FTBFS.patch: removed because the upstream fixed the
    source code.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 02 Jul 2024 00:41:54 -0300
