=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://obsproject.com/forum/resources/scene-as-transition.1704
 Vcs-Browser: https://salsa.debian.org/debian/obs-scene-as-transition
 Vcs-Git: https://salsa.debian.org/debian/obs-scene-as-transition.git
