=== debian/watch ===
version=4
https://github.com/andilippi/obs-scene-as-transition/tags archive/refs/tags/v?(\d\S+)\.tar\.(?:bz2|gz|xz)
