=== debian/changelog ===
obs-scene-as-transition (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1.
  * Ran wrap-and-sort.
  * debian/clean: created to remove cmake/.CMakeBuildNumber.
  * debian/control:
      - Added libcurl4-gnutls-dev and qt6-base-private-dev to Build-Depends
        field.
      - Bumped Standards-Version to 4.7.3.
      - Dropped relation-ship for libobs-dev and obs-studio.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/:
      - 010_fix-plugin-name.patch: created to force plugin to use the original
        name.
      - 020_rewritten-pt-BR.patch: created to update the translation file to
        make it compliant with the new upstream file format.
  * debian/rules: added override for blhc to ignore CMake ABI tests.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 13 Feb 2026 23:36:41 -0300
