=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: obs-scene-as-transition
 Section: video
-Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29)
-Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               libcurl4-gnutls-dev,
+               libobs-dev,
+               qt6-base-private-dev
+Standards-Version: 4.7.3
 Homepage: https://obsproject.com/forum/resources/scene-as-transition.1704
 Vcs-Browser: https://salsa.debian.org/debian/obs-scene-as-transition
 Vcs-Git: https://salsa.debian.org/debian/obs-scene-as-transition.git
 
 Package: obs-scene-as-transition
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
+Depends: obs-studio, ${misc:Depends}, ${shlibs:Depends}
 Suggests: obs-move-transition
 Enhances: obs-studio
 Breaks: obs-text-slideshow (<= 1.5.2-3)
