=== debian/watch ===
Version: 5

Template: Github
Owner: andilippi
Project: obs-scene-as-transition
